Module java.desktop
Package javax.swing.plaf.synth

# Class SynthRadioButtonMenuItemUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.ButtonUI
javax.swing.plaf.MenuItemUI
javax.swing.plaf.basic.BasicMenuItemUI
javax.swing.plaf.synth.SynthMenuItemUI
javax.swing.plaf.synth.SynthRadioButtonMenuItemUI

All Implemented Interfaces:
  `PropertyChangeListener`, `EventListener`, `SynthConstants`, `SynthUI`

public class SynthRadioButtonMenuItemUI extends SynthMenuItemUI
Provides the Synth L&F UI delegate for `JRadioButtonMenuItem`.

Since:
  1.7

## Nested Class Summary

## Nested classes/interfaces declared in class javax.swing.plaf.basic.BasicMenuItemUI

`BasicMenuItemUI.MouseInputHandler`

## Field Summary

### Fields declared in class javax.swing.plaf.basic.BasicMenuItemUI

`acceleratorDelimiter, acceleratorFont, acceleratorForeground, acceleratorSelectionForeground, arrowIcon, checkIcon, defaultTextIconGap, disabledForeground, menuDragMouseListener, menuItem, menuKeyListener, mouseInputListener, oldBorderPainted, propertyChangeListener, selectionBackground, selectionForeground`

### Fields declared in interface javax.swing.plaf.synth.SynthConstants

`DEFAULT, DISABLED, ENABLED, FOCUSED, MOUSE_OVER, PRESSED, SELECTED`

## Constructor Summary

Constructors
Constructor
Description
`SynthRadioButtonMenuItemUI()`
Constructs a `SynthRadioButtonMenuItemUI`.

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent b)`
Creates a new UI object for the given component.

### Methods declared in class javax.swing.plaf.synth.SynthMenuItemUI

`getContext, paint, paint, paintBorder, propertyChange, update`

### Methods declared in class javax.swing.plaf.basic.BasicMenuItemUI

`createMenuDragMouseListener, createMenuKeyListener, createMouseInputListener, createPropertyChangeListener, doClick, getPath, getPreferredMenuItemSize, getPropertyPrefix, installComponents, installDefaults, installKeyboardActions, installListeners, paintBackground, paintMenuItem, paintText, uninstallComponents, uninstallDefaults, uninstallKeyboardActions, uninstallListeners`

### Methods declared in class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, uninstallUI`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SynthRadioButtonMenuItemUI

public SynthRadioButtonMenuItemUI()
Constructs a `SynthRadioButtonMenuItemUI`.

## Method Details

### createUI

public static ComponentUI createUI(JComponent b)
Creates a new UI object for the given component.

Parameters:
  `b` - component to create UI object for
Returns:
  the UI object